Package: groovy.org.codenarc.rule.unused

## [Groovy] Class UnusedObjectRule

- groovy.org.codenarc.rule.unused.UnusedObjectRule

- Checks for object constructions that are not assigned or used (i.e., ignored). Ignores unassigned objects if the construction is the last statement within a block, because it may be the intentional return value. By default, this rule does not apply to test files.

  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `doNotApplyToFilesMatching`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String doNotApplyToFilesMatching

    - #### String name

    - #### int priority